Drupal.simple_interactive_maps.ajax_load_map = function (elem, config, region) {

  // locate the parent map element (with class .interactive_map__wrapper)
  const map = jQuery(elem).closest('.interactive_map__wrapper');
  // get the map id
  const map_id = map.attr('id');

  const targetUrl = '/simple-interactive-maps/ajax';

  elem.addEventListener('click', function(e) {
    e.preventDefault();

    const ajaxSettings = {
      url: targetUrl,
      submit: {
        map_to_load: config['target_map_id'],
        target_element: map_id
      }
    };

    const ajax = new Drupal.ajax(ajaxSettings);
    ajax.execute();

  });

  elem.setAttribute('role', 'link');
};

